Bug 1252986 - putIfAbsentAsync not enforcing withFlags(Flag.FORCE_RETURN_VALUE)
Summary: putIfAbsentAsync not enforcing withFlags(Flag.FORCE_RETURN_VALUE)
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: CR1
: 6.5.1
Assignee: Galder Zamarreño
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-12 16:09 UTC by Shay Matasaro
Modified: 2019-08-15 05:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The call to <methodname>putIfAbsentAsync</methodname> on a remote HotRod client and using <parameter>withFlags(Flag.FORCE_RETURN_VALUE)</parameter> did not work as expected. The previous value was not returned as expected unless the flag was also configured in HotRod client properties file. This issue is resolved as of Red Hat JBoss Data Grid 6.5.1.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5677 Major Resolved HR putIfAbsentAsync not enforcing withFlags(Flag.FORCE_RETURN_VALUE) 2018-11-20 03:03:50 UTC

Description Shay Matasaro 2015-08-12 16:09:56 UTC
given the following HR client code

NotifyingFuture<String> f1 = cache.withFlags(Flag.FORCE_RETURN_VALUE).putIfAbsentAsync(key, "1");
		System.out.println(f1.get(10,TimeUnit.MINUTES));
		NotifyingFuture<String> f2 = cache.withFlags(Flag.FORCE_RETURN_VALUE).putIfAbsentAsync(key, "2");
		System.out.println(f2.get(10,TimeUnit.MINUTES));

both prints print null, where the second one should print "1"


only when props.put("infinispan.client.hotrod.force_return_values","true")   is set specifically when building the CM then the calls work

Comment 2 JBoss JIRA Server 2015-08-13 07:40:22 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-5677 to Coding In Progress

Comment 4 JBoss JIRA Server 2015-08-21 13:17:33 UTC
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-5677 to Reopened

Comment 5 JBoss JIRA Server 2015-08-21 15:02:52 UTC
Gustavo Fernandes <gustavo@infinispan.org> updated the status of jira ISPN-5677 to Coding In Progress

Comment 6 JBoss JIRA Server 2015-08-21 15:03:09 UTC
Gustavo Fernandes <gustavo@infinispan.org> updated the status of jira ISPN-5677 to Resolved


Note You need to log in before you can comment on or make changes to this bug.